<?xml version="1.0" encoding="utf-8"?>
<odoo>
<data noupdate="1">
    <record model="res.partner" id="res_partner_{{ unit_sigle }}" context="{'default_is_company': True}">
            <field name="name">{{ unit_long_name }}</field>
            <field name="company_id" eval="None"/>
            <field name="is_company" eval="True"/>
    </record>

    <record model="account.account" id="cash_account_1002_{{ unit_sigle }}">
            <field name="name">Cash {{ unit_long_name }}</field>
            <field name="code">1002.{{ unit_sigle }}</field>
            <field name="user_type_id" ref="account.data_account_type_current_assets"/>
            <field name="currency_id" ref="base.CHF"/>
    </record>

    <record model="account.journal" id="cash_journal_{{ unit_sigle }}">
            <field name="name">Cash {{ unit_long_name }}</field>
            <field name="sequence">30</field>
            <field name="type">cash</field>
            <field name="journal_group_ids" eval="[(4, ref('agepoly_account_customizations.unit_cash_journal_group'))]" />

            <field name="payment_debit_account_id" ref="cash_account_1002_{{ unit_sigle }}" />
            <field name="payment_credit_account_id" ref="cash_account_1002_{{ unit_sigle }}" />
            <field name="default_account_id" ref="cash_account_1002_{{ unit_sigle }}" />
            <field name="suspense_account_id" ref="agepoly_account_customizations.cash_suspense_account" />
         

            <field name="profit_account_id" ref="agepoly_account_customizations.cash_profit"/>
            <field name="loss_account_id" ref="agepoly_account_customizations.cash_loss"/>
    

            <field name="outbound_payment_method_ids" eval="[(4, ref('account.account_payment_method_manual_out'))]" />
            <field name="inbound_payment_method_ids" eval="[(4, ref('account.account_payment_method_manual_in'))]" />
    </record>

    <record model="account.analytic.account" id="analytic_acc_{{ unit_analytic_number }}">
            <field name="name">{{ unit_long_name }}</field>
            <field name="code">{{ unit_analytic_number }}</field>
    </record>
    
</data>
<data>
	<record model="operating.unit" id="operating_unit_{{ unit_sigle }}">
            <field name="name">{{ unit_long_name }}</field>
            <field name="code">{{ unit_sigle }}</field>
            <field name="analytic_account_ids" eval="[(4, ref('analytic_acc_{{ unit_analytic_number }}'))]"/>
            <field name="default_analytic_account_id" ref="analytic_acc_{{ unit_analytic_number }}"/>
            <field name="cash_journal_id" ref="cash_journal_{{ unit_sigle }}" />
            <field name="partner_id" ref="res_partner_{{ unit_sigle }}" />
            <field name="active" eval="True"/>
    </record>

    <record id="{{ unit_sigle }}_validation_0" model="tier.definition">
        <field name="name">Validation Comptable {{ unit_long_name }}</field>
        <field name="model_id" ref="account.model_account_move"/>
        <field name="definition_type">domain</field>
        <field name="definition_domain" eval="[(1,'=', 1)]"/>
        <field name="review_type">group</field>
        <field name="reviewer_group_id" eval="ref('truffe__{{ unit_truffe_name }}__tresorerie')"/>
        <field name="sequence">100</field>
        <field name="approve_sequence" eval="True"/>
    </record>

    <!-- groupe pour les comptable de l'unité -->
    <record id="truffe__{{ unit_truffe_name }}__tresorerie" model="res.groups">
        <field name="name">truffe__{{ unit_truffe_name }}__tresorerie</field>
        <field name="category_id" ref="agepoly_account_customizations.module_category_agepoly"/>     
    </record>

    <record id="{{ unit_sigle}}_edit_move" model="ir.rule">
        <field name="name">Edit Move for {{ unit_long_name }}</field>
        <field name="model_id" ref="account.model_account_move"/>
        <field name="domain_force" eval="[('operating_unit_id','=', ref('operating_unit_{{ unit_sigle }}'))]"/>
        <field name="groups" eval="[(4, ref('truffe__{{ unit_truffe_name }}__tresorerie'))]"/>
        <field name="perm_read" eval="True"/>
        <field name="perm_write" eval="True"/>
        <field name="perm_create" eval="True"/>
        <field name="perm_unlink" eval="True"/>
    </record>
    <record id="{{ unit_sigle}}_edit_move_line" model="ir.rule">
        <field name="name">Edit Move Lines for {{ unit_long_name }}</field>
        <field name="model_id" ref="account.model_account_move_line"/>
        <field name="domain_force" eval="[('operating_unit_id', '=', ref('operating_unit_{{ unit_sigle }}'))]"/>
        <field name="groups" eval="[(4, ref('truffe__{{ unit_truffe_name }}__tresorerie'))]"/>
        <field name="perm_read" eval="True"/>
        <field name="perm_write" eval="True"/>
        <field name="perm_create" eval="True"/>
        <field name="perm_unlink" eval="True"/>
    </record>

</data>
</odoo>